Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1122248

Summary: Review Request: nodejs-yargs - Light-weight option parsing with an argv hash.
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-23 18:49:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1122219    

Description Ralph Bean 2014-07-22 19:06:59 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-yargs.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-yargs-1.2.6-1.fc20.src.rpm

Description:
Yargs be a node.js library fer hearties tryin' ter parse optstrings against
their will where even the boo box be not enough to coerce them. This here
module is fer scallywags lookin' ter plunder all the sunken -shipz of their
--treasures thru program usage but be tired of optstrings disincling to
acquiesce to yer requests.

With yargs, ye be havin' a map that leads straight to yer treasure! Treasure of
course, being a simple option hash.

Comment 1 Parag AN(पराग) 2014-07-23 15:17:59 UTC
Review:

+ mock build is successful for f22.

- rpmlint output on rpms gave
nodejs-yargs.noarch: W: spelling-error Summary(en_US) argv -> Argo
nodejs-yargs.noarch: W: summary-ended-with-dot C Light-weight option parsing with an argv hash.
nodejs-yargs.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-yargs.noarch: W: spelling-error %description -l en_US tryin -> trying, train, tr yin
nodejs-yargs.noarch: W: spelling-error %description -l en_US ter -> yer, tee, tr
nodejs-yargs.noarch: W: spelling-error %description -l en_US optstrings -> opt strings, opt-strings, striplings
nodejs-yargs.noarch: W: spelling-error %description -l en_US scallywags -> scalawags, scalawag
nodejs-yargs.noarch: W: spelling-error %description -l en_US lookin -> looking, loo kin, loo-kin
nodejs-yargs.noarch: W: spelling-error %description -l en_US shipz -> ship, ships, ship z
nodejs-yargs.noarch: W: spelling-error %description -l en_US thru -> threw, throe, thrum
nodejs-yargs.noarch: W: spelling-error %description -l en_US disincling -> disincline, disinclining, disciplining
nodejs-yargs.noarch: W: spelling-error %description -l en_US havin -> having, haven, Gavin
nodejs-yargs.noarch: W: invalid-license MIT/X11
nodejs-yargs.noarch: W: only-non-binary-in-usr-lib
nodejs-yargs.noarch: W: dangling-symlink /usr/lib/node_modules/yargs/node_modules/minimist /usr/lib/node_modules/minimist
nodejs-yargs.src: W: spelling-error Summary(en_US) argv -> Argo
nodejs-yargs.src: W: summary-ended-with-dot C Light-weight option parsing with an argv hash.
nodejs-yargs.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-yargs.src: W: spelling-error %description -l en_US tryin -> trying, train, tr yin
nodejs-yargs.src: W: spelling-error %description -l en_US ter -> yer, tee, tr
nodejs-yargs.src: W: spelling-error %description -l en_US optstrings -> opt strings, opt-strings, striplings
nodejs-yargs.src: W: spelling-error %description -l en_US scallywags -> scalawags, scalawag
nodejs-yargs.src: W: spelling-error %description -l en_US lookin -> looking, loo kin, loo-kin
nodejs-yargs.src: W: spelling-error %description -l en_US shipz -> ship, ships, ship z
nodejs-yargs.src: W: spelling-error %description -l en_US thru -> threw, throe, thrum
nodejs-yargs.src: W: spelling-error %description -l en_US disincling -> disincline, disinclining, disciplining
nodejs-yargs.src: W: spelling-error %description -l en_US havin -> having, haven, Gavin
nodejs-yargs.src: W: invalid-license MIT/X11
2 packages and 0 specfiles checked; 0 errors, 28 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :fc41778fadfffb326f662325784b1f2488727c0f8a5e5f27a92c114bf8e7af63
upstream tarball :fc41778fadfffb326f662325784b1f2488727c0f8a5e5f27a92c114bf8e7af63


+ rest looks following packaging guidelines.

Suggestions:
1) Fix rpmlint warnings
summary-ended-with-dot
invalid-license MIT/X11

From LICENSE file it looks license tag should be "MIT" only.

I will not block for this review for above issue. Please fix this and then import the package.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 16:28:05 UTC
I see.  Thanks Parag!

Comment 3 Ralph Bean 2014-07-23 16:28:32 UTC
New Package SCM Request
=======================
Package Name: nodejs-yargs
Short Description: Light-weight option parsing with an argv hash.
Upstream URL: https://npmjs.org/package/yargs
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 4 Gwyn Ciesla 2014-07-23 16:52:06 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-07-23 18:47:04 UTC
nodejs-yargs-1.2.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-yargs-1.2.6-1.fc20

Comment 6 Fedora Update System 2014-07-23 18:47:13 UTC
nodejs-yargs-1.2.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-yargs-1.2.6-1.fc19

Comment 7 Ralph Bean 2014-07-23 18:49:09 UTC
Buildroot overrides have been created.

Comment 8 Fedora Update System 2014-08-15 02:47:47 UTC
nodejs-yargs-1.2.6-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 9 Fedora Update System 2014-08-15 02:54:37 UTC
nodejs-yargs-1.2.6-1.fc20 has been pushed to the Fedora 20 stable repository.